Частые краши игры.
#1
(Никогда не использовал форум этого сайта, поэтому извиняйте если нарушил правила или что-то ещё). Началась крашится в последнее время игра после апдейтов модификаций: устанавливал T-PACK, много нового оружия (почти все, что есть на сайте ну и + необходимые к ним базы/модули) и моды, которые предлагались к установки под Better Bots. Если убрать полностью mod_overrides, то проблема решается, но как-то и не особо и хочется играть в ванилу. Поэтому прошу помощи, люди добрые!


Application has crashed: C++ exception
mods/base/req/utils/UtilsCore.lua:114: bad argument #1 to 'match' (string expected, got nil)



SCRIPT STACK

ToVector3() @mods/base/req/utils/UtilsCore.lua:114
cafcw_add_to_parts() @assets/mod_overrides/Custom attachments for custom weapons/Hooks/weaponfactorytweakdata.lua:675
func() @assets/mod_overrides/Custom attachments for custom weapons/Hooks/weaponfactorytweakdata.lua:808
create_bonuses() @mods/base/req/core/Hooks.lua:267
_init_weapon_mods() lib/tweak_data/blackmarkettweakdata.lua:97
original() lib/tweak_data/blackmarkettweakdata.lua:39
init() @mods/base/req/core/Hooks.lua:260
new() core/lib/utils/coreclass.lua:35
init() lib/tweak_data/tweakdata.lua:581
new() core/lib/utils/coreclass.lua:35
lib/tweak_data/tweakdata.lua:3084
require() =[C]
OrigRequire() @mods/base/base.lua:151
require() @mods/BeardLib/Core.lua:215
lib/setups/setup.lua:35
require() =[C]
OrigRequire() @mods/base/base.lua:151
require() @mods/BeardLib/Core.lua:215
lib/setups/menusetup.lua:1
require() =[C]
OrigRequire() @mods/base/base.lua:151
require() @mods/BeardLib/Core.lua:215
lib/entry.lua:8
require() =[C]
OrigRequire() @mods/base/base.lua:151
require() @mods/BeardLib/Core.lua:215
core/lib/coreentry.lua:19


-------------------------------

Callstack:

         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     zip_get_name                                        
         payday2_win32_release  (???)     zip_get_name
Reply
#2
Начинай чекать причину крашей. Удаляй по одному моду пока краши не прекратятся. После как выявишь виновника попробую чекнуть может есть обнова для мода или ты скачал два не совместимых мода?
Вот же предпоследний вброс лога >
@assets/mod_overrides/Custom attachments for custom weapons/Hooks/weaponfactorytweakdata.lua:675
Ты один играешь или ботам ещё пушки повесил эти?
Reply
#3
Не один, а с ботами, но вот так-то я никогда не даю им кастомные оружия. Использую
Bot Weapons and Equipment и Bot Armor Skins для "украшения" болванчиков (Joker Masks собственно для Джокерных полицейских, хотя как я понимаю это не особо сказывается на крашах). В общем, посмотрю и отзовусь по этой теме.
Reply
#4
Нашёл причину крашей: собственно из-за выше перечисленных Bot Weapons And Equipment и начался сыр-бор, хотя я точно помню что он работал вполне себе неплохо. Удалил его и пару пустяковых модов по типу кастомных перк деков. Спасибо за помощь!
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)